curl -X POST https://platform.u1.archetypeai.app/api/fine-tuning/jobs/your-job-id/pause \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.post(
f"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/{job_id}/pause",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const jobId = 'your-job-id';
const response = await fetch(
`https://platform.u1.archetypeai.app/api/fine-tuning/jobs/${jobId}/pause`,
{
method: 'POST',
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "fine_tuning.job",
"id": "your-job-id",
"name": "my-tune",
"model": "newton",
"created_at": 1765201323,
"org_id": "your-org",
"status": "PAUSED",
"checkpoint_id": null,
"fine_tuned_model": null,
"finished_at": null,
"outcome": null,
"seed": 42,
"user_provided_suffix": "v2",
"training_files": ["fil_..."],
"validation_files": ["fil_..."],
"errors": []
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
{
"code": "invalid_state_transition",
"message": "Invalid state transition",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Fine-Tuning Service
Pause Fine-tuning Job
Pause a fine-tuning job
POST
/
fine-tuning
/
jobs
/
{id}
/
pause
curl -X POST https://platform.u1.archetypeai.app/api/fine-tuning/jobs/your-job-id/pause \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.post(
f"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/{job_id}/pause",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const jobId = 'your-job-id';
const response = await fetch(
`https://platform.u1.archetypeai.app/api/fine-tuning/jobs/${jobId}/pause`,
{
method: 'POST',
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "fine_tuning.job",
"id": "your-job-id",
"name": "my-tune",
"model": "newton",
"created_at": 1765201323,
"org_id": "your-org",
"status": "PAUSED",
"checkpoint_id": null,
"fine_tuned_model": null,
"finished_at": null,
"outcome": null,
"seed": 42,
"user_provided_suffix": "v2",
"training_files": ["fil_..."],
"validation_files": ["fil_..."],
"errors": []
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
{
"code": "invalid_state_transition",
"message": "Invalid state transition",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Requires version 1.1.5 or later of the Archetype platform.
Overview
Pauses a fine-tuning job, stopping the run; use Resume Job to continue it.To cancel a job and tear down its resources without the ability to resume the job, use the
Cancel Job endpoint instead.
Request
The fine-tuning job ID of the job to pause. This is a TypeID-encoded identifier with the
FineTuningJobId prefix.Response
Returns a description of the fine-tuning job’s state after pausing.The job’s current lifecycle stage. One of
PENDING, ADMITTED, RUNNING, COMPLETED, FAILED, PREEMPTED, CANCELLED, PAUSED, INTERRUPTED.Always
null for paused jobs. This property does not take on a value until the job’s
status is COMPLETED. v1.1.5+Failure details if the job has failed, as the platform error envelope (a list of
{code, message, suggestion, error_uid}). Empty while the job is queued, the job is running, or when
the job has successfully completed.The checkpoint ID of the checkpoint from which the job was started, or
null if it trained from the base model.Name of the model produced by the job. This is available once training has succeeded, and is
null until then.The Unix timestamp (in seconds) at which the job finished, or
null if it is not yet complete.For a
COMPLETED job, this specifies whether it succeeded fully (SUCCESS), partially
(PARTIAL), or produced nothing (FAILED). If the job hasn’t yet completed, this is null.curl -X POST https://platform.u1.archetypeai.app/api/fine-tuning/jobs/your-job-id/pause \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
job_id = "your-job-id"
response = requests.post(
f"https://platform.u1.archetypeai.app/api/fine-tuning/jobs/{job_id}/pause",
headers={"Authorization": f"Bearer {api_key}"}
)
print(response.json())
const jobId = 'your-job-id';
const response = await fetch(
`https://platform.u1.archetypeai.app/api/fine-tuning/jobs/${jobId}/pause`,
{
method: 'POST',
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "fine_tuning.job",
"id": "your-job-id",
"name": "my-tune",
"model": "newton",
"created_at": 1765201323,
"org_id": "your-org",
"status": "PAUSED",
"checkpoint_id": null,
"fine_tuned_model": null,
"finished_at": null,
"outcome": null,
"seed": 42,
"user_provided_suffix": "v2",
"training_files": ["fil_..."],
"validation_files": ["fil_..."],
"errors": []
}
{
"code": "not_found",
"message": "Not found",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
{
"code": "invalid_state_transition",
"message": "Invalid state transition",
"suggestion": null,
"error_uid": "err-xxxxxxxx"
}
Was this page helpful?